package com.ibiz5.sample.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.ibiz5.sample.domain.IBZ5CUSTOMER;
import com.ibiz5.sample.service.dto.IBZ5CUSTOMERSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;

public interface IBZ5CUSTOMERMapper extends BaseMapper<IBZ5CUSTOMER>{

    List<IBZ5CUSTOMER> searchDefault(@Param("srf") IBZ5CUSTOMERSearchFilter searchfilter,@Param("ew") Wrapper<IBZ5CUSTOMER> wrapper) ;
    Page<IBZ5CUSTOMER> searchDefault(IPage page, @Param("srf") IBZ5CUSTOMERSearchFilter searchfilter, @Param("ew") Wrapper<IBZ5CUSTOMER> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'IBZ5CUSTOMER:'+#p0")
    IBZ5CUSTOMER selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'IBZ5CUSTOMER:'+#p0.ibz5customerid")
    int insert(IBZ5CUSTOMER entity);
    @Override
    @CacheEvict( value="entity",key = "'IBZ5CUSTOMER:'+#p0.ibz5customerid")
    int updateById(@Param(Constants.ENTITY) IBZ5CUSTOMER entity);
    @Override
    @CacheEvict( value="entity",key = "'IBZ5CUSTOMER:'+#p0")
    int deleteById(Serializable id);
    Page<IBZ5CUSTOMER> selectPermission(IPage page,@Param("pw") Wrapper<IBZ5CUSTOMER> wrapper) ;
}