package com.ibiz5.sample.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.ibiz5.sample.domain.IBZ5STORAGE;
import com.ibiz5.sample.service.dto.IBZ5STORAGESearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;

public interface IBZ5STORAGEMapper extends BaseMapper<IBZ5STORAGE>{

    List<IBZ5STORAGE> searchDefault(@Param("srf") IBZ5STORAGESearchFilter searchfilter,@Param("ew") Wrapper<IBZ5STORAGE> wrapper) ;
    Page<IBZ5STORAGE> searchDefault(IPage page, @Param("srf") IBZ5STORAGESearchFilter searchfilter, @Param("ew") Wrapper<IBZ5STORAGE> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'IBZ5STORAGE:'+#p0")
    IBZ5STORAGE selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'IBZ5STORAGE:'+#p0.ibz5storageid")
    int insert(IBZ5STORAGE entity);
    @Override
    @CacheEvict( value="entity",key = "'IBZ5STORAGE:'+#p0.ibz5storageid")
    int updateById(@Param(Constants.ENTITY) IBZ5STORAGE entity);
    @Override
    @CacheEvict( value="entity",key = "'IBZ5STORAGE:'+#p0")
    int deleteById(Serializable id);
    Page<IBZ5STORAGE> selectPermission(IPage page,@Param("pw") Wrapper<IBZ5STORAGE> wrapper) ;
}