package com.ibiz5.sample.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.ibiz5.sample.domain.INT_ORDER;
import com.ibiz5.sample.service.dto.INT_ORDERSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;

public interface INT_ORDERMapper extends BaseMapper<INT_ORDER>{

    List<INT_ORDER> searchDefault(@Param("srf") INT_ORDERSearchFilter searchfilter,@Param("ew") Wrapper<INT_ORDER> wrapper) ;
    Page<INT_ORDER> searchDefault(IPage page, @Param("srf") INT_ORDERSearchFilter searchfilter, @Param("ew") Wrapper<INT_ORDER> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'INT_ORDER:'+#p0")
    INT_ORDER selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'INT_ORDER:'+#p0.int_orderid")
    int insert(INT_ORDER entity);
    @Override
    @CacheEvict( value="entity",key = "'INT_ORDER:'+#p0.int_orderid")
    int updateById(@Param(Constants.ENTITY) INT_ORDER entity);
    @Override
    @CacheEvict( value="entity",key = "'INT_ORDER:'+#p0")
    int deleteById(Serializable id);
    Page<INT_ORDER> selectPermission(IPage page,@Param("pw") Wrapper<INT_ORDER> wrapper) ;
}